Get a budget

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/budgets/{instance_id}

Get a budget. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the budget

Query parameters

  • relations boolean

    Add the related data. The default value is true.

    Default value is true.

Responses

  • 200 application/json

    The budget

    Hide response attributes Show response attributes object
    • id string(uuid)
    • project_id string(uuid)
    • name string
    • revision integer
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The identifier is not a valid UUID

  • 403

    You are not an administrator

  • 404

    The budget does not exist

GET /data/budgets/{instance_id}
curl \
 --request GET '/api/data/budgets/a24a6ea4-ce75-4665-a070-57453082c250' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Budget Q1",
  "revision": 1,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}